<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFODEEditView9Base from './emrfodeedit-view9-base.vue';

import view_form from '@widgets/emrfode/main2-form/main2-form.vue';

/**
 * 现象信息
 *
 * @export
 * @class EMRFODEEditView9
 * @extends {EMRFODEEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFODEEditView9 extends EMRFODEEditView9Base { }
</script>